Subject: Document Action: 'A URN Namespace for the Latvian National Government Integration Project' to Informational RFC

From: The IESG <[email-masked]>
Date: Mon, 01 May 2006 17:51:47 -0400

The IESG has approved the following document:

- 'A URN Namespace for the Latvian National Government Integration Project '
   <draft-kornijenko-ivis-urn-00.txt> as an Informational RFC

This document has been reviewed in the IETF but is not the product of an
IETF Working Group. 

The IESG contact person is Ted Hardie.

A URL of this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-kornijenko-ivis-urn-00.txt

Technical Summary
 
This document registers the IVIS URN namespace.

Working Group Summary
 
This document is not the product of a working group, but it was reviewed
by the urn-nid mailing list as required by RFC 3406.
 
Protocol Quality
 
This document was reviewed for the IESG by Ted Hardie

Note to RFC Editor
 
1)---------------------------------------------
 
OLD:
 
Obsoletes: RFC 3383                           02 February 2006
 
NEW:
 
Category: Formal                               02 February 2006
 
2)---------------------------------------------
 
OLD:
 
2.4 Declaration of structure:
 
      The Namespace Specific String (NSS) of all URNs assigned by the
      IVIS will have the following hierarchical structure:
 
NEW:
 
2.4 Declaration of structure:
 
The Namespace Specific String (NSS) of all URNs assigned by
the IVIS will have the following hierarchical structure
(syntax according to [RFC 2141]):

3)---------------------------------------------
 
OLD:
 
<ResID - suffix> ::= <upper> | <lower> | <number> | <other> 
{an ID generated by IVIS subsystem and that is unique within
this subsystem}
 
NEW:
 
<ResID - suffix> ::= 1*(<upper> | <lower> | <number> | <other>) 
{an ID generated by IVIS subsystem and that is unique within
this subsystem}
 
4)---------------------------------------------
 
OLD:
 
<IVIS Org ID>    ::= <number>    { subsystem ID from IVIS database}
 
NEW:
 
<IVIS Org ID>    ::= 1*<number>    { subsystem ID from IVIS database}

5)---------------------------------------------
 
OLD:
 
A URN Namespace for the Latvian National Government Integration Project
 
NEW:
 
A Uniform Resource Name (URN) Formal Namespace
for the Latvian National Government Integration Project
 
6)---------------------------------------------
 
NEW SECTION:
 
5.  IANA Considerations
 
   This document includes a URN NID registration for IVIS for entry in
   the IANA registry of URN NIDs (see [RFC 2434] for more
   information).
 
7)---------------------------------------------
 
OLD:
 
      "IVIS" requested.
 
NEW:
 
      "IVIS" requested according to [RFC 3406].

8)---------------------------------------------
 
OLD:
 
3. Example
 
The following examples are not guaranteed to be real.  They are provided
for pedagogical reasons only:
 
    URN:IVIS:100001:DOC-METADATA
    URN:IVIS:100002:NDR1021365

NEW:
3. Example
 
The following examples are not to be real. They are provided
for pedagogical reasons only:
 
    URN:IVIS:000000:DOC-METADATA
    URN:IVIS:000000:NDR1021365
 
9)---------------------------------------------
 
OLD:
 
2.11 Conformance with URN syntax:
 
IVIS schema URN fully conforms to RFC2141 syntax except that symbols "'"
un ":" were
excluded from <other>.
 
NEW:
 
2.11 Conformance with URN syntax:
 
IVIS schema URN fully conforms to [RFC 2141] syntax except that symbols "'"
and ":" were excluded from <other>.
 
10)---------------------------------------------
 
OLD:

2.3 Declared registrant of the namespace:
 
Name: Jurijs Kornijenko
Title: software architect     
Affiliation: Mag.sc.ing.
Address: Tallinas - 51, Riga, LV-1012
Phone: +371 7082635
Email: [email-masked]
 
NEW:

2.3 Declared registrant of the namespace:
 
Organization: The Secretariat of the Special Assignments Minister
 for Electronic Government Affairs
Name: Jurijs Kornijenko
Title: software architect
Address: Tallinas - 51, Riga, LV-1012
Phone: +371 7082635
Email: <mailto:[email-masked]>[email-masked]
 
11)---------------------------------------------
 
OLD:

8. Author's Addresses
   
      Name:        Jurijs Kornijenko
      Address:     Tallinas - 51, Riga, LV-1012
      Phone:       +371 7082635
      Email:        [email-masked]
 
NEW:
 
8. Author's Addresses
 
Organization: The Secretariat of the Special Assignments Minister
  for Electronic Government Affairs
Name: Jurijs Kornijenko
Title: software architect
Address: Tallinas - 51, Riga, LV-1012
Phone: +371 7082635
Email: [email-masked]

 
12)---------------------------------------------
 
OLD:
 
Acknowledgments
 
The authors acknowledge the thoughtful contributions of Jurijs
Kornijenko to this document.
 
NEW:
 
Acknowledgments
 
Since the specification described in this document is derived from
STD 66, RFC 3986 and RFC 3406, the acknowledgements in those documents
still apply. In addition, the authors wish to acknowledge
Leslie Daigle, Ted Hardie and Dinara Suleymanova for their
suggestions and review.

14)---------------------------------------------
 
OLD:
 
7.1.  Normative References
 
[1]  Daigle, L., van Gulik, D., Iannella, R. and Falstrom P,. "Uniform
Resource Names (URN) Namespace Definition Mechanisms, RFC 3406, October
2002.
 
[2]  Berners-Lee, T., Fielding, R. and Masinter, L,. "Uniform Resource
Identifiers (URI): Generic Syntax", RFC 2396, August 1998.
 
7.2.  Informative References
 
[3]  Berners-Lee, T., Fielding, R and Masinter L,. "Uniform Resource
Identifiers (URI): Generic Syntax draft-fielding-uri-rfc2396bis-07",
September 2004.
       
[4]  Narten, T,. Alvestrand, H,. "Guidelines for Writing an IANA
considerations Section in RFC's", RFC 2434, October 1998.
 
[5]  Bellifemine, F., Constantinescu, I., Willmott, S., "A Uniform
Resource Name (URN)Namespace for Foundation for Intelligent Physical
Agents (FIPA)", RFC 3616, September 2003.
 
[6] Mealling, M., "A Uniform Resource Name (URN) Namespace for the
Liberty Alliance Project", RFC 3622, February 2004.
 
[7] URI Planning Interest Group, W3C/IETF (See acknowledgments)
September 2001,
<http://www.w3.org/TR/2001/NOTE-uri-clarification-20010921/.
 
NEW:
 
7.1.  Normative References
 
[RFC 3406]  Daigle, L., van Gulik, D., Iannella, R. and Falstrom P.,
"Uniform Resource Names (URN) Namespace Definition Mechanisms",
RFC 3406, October 2002.
 
[RFC 3986]  "Uniform Resource Identifiers (URI): Generic Syntax",
RFC 3986, T. Berners-Lee et al., January 2005.
 
7.2.  Informative References
 
[RFC 2434]  Narten, T,. Alvestrand, H,. "Guidelines for Writing an IANA
considerations Section in RFC's", RFC 2434, October 1998.
 
[RFC 3616]  Bellifemine, F., Constantinescu, I., Willmott, S.,
"A Uniform Resource Name (URN)Namespace for Foundation for
Intelligent Physical Agents (FIPA)", RFC 3616, September 2003.
 
[RFC 3622] Mealling, M., "A Uniform Resource Name (URN) Namespace
for the Liberty Alliance Project", RFC 3622, February 2004.
 
[W3C/IETF] URI Planning Interest Group, W3C/IETF
September 2001,
<http://www.w3.org/TR/2001/NOTE-uri-clarification-20010921/>http://www.w3.org/TR
/2001/NOTE-uri-clarification-20010921/
 
[RFC 2141]  Moats, R., "URN Syntax", RFC 2141, May 1997. 
 
[RFC 4234] Crocker, D. and P. Overell, "Augmented BNF for Syntax
Specifications: ABNF", RFC 4234, October 2005.

_______________________________________________
IETF-Announce mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ietf-announce